print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local pricebeer = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local ketchupHudFile = "Paletten/hud_fill_ketchup.dds"
	local ketchupHudFileSmall = "Paletten/hud_fill_ketchup_small.dds"
	
    local ketchupFilType = g_fillTypeManager:addFillType("KETCHUP", g_i18n:getText("ketchup"), true, pricebeer * 2.7, 0.00045, math.rad(10), ketchupHudFile, ketchupHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local hasketchup=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	hasketchup=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "KETCHUP" then
		hasketchup=true
	end;
		
end;

		if hasmaize and not hasketchup then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("KETCHUP")
		local price = g_fillTypeManager:getFillTypeByName("KETCHUP").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("KETCHUP")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)